Index: server/common/oursrc/tokensys/debian/changelog
===================================================================
--- server/common/oursrc/tokensys/debian/changelog	(revision 108)
+++ server/common/oursrc/tokensys/debian/changelog	(revision 108)
@@ -0,0 +1,5 @@
+scripts-tokensys (0.0.69) unstable; urgency=low
+
+  * Initial release.
+
+ -- Tim Abbott <tabbott@mit.edu>  Tue, 16 Jan 2007 03:22:07 -0500
Index: server/common/oursrc/tokensys/debian/compat
===================================================================
--- server/common/oursrc/tokensys/debian/compat	(revision 108)
+++ server/common/oursrc/tokensys/debian/compat	(revision 108)
@@ -0,0 +1,1 @@
+5
Index: server/common/oursrc/tokensys/debian/control
===================================================================
--- server/common/oursrc/tokensys/debian/control	(revision 108)
+++ server/common/oursrc/tokensys/debian/control	(revision 108)
@@ -0,0 +1,13 @@
+Source: scripts-tokensys
+Section: admin
+Priority: optional
+Maintainer: Tim Abbott <tabbott@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), autoconf
+Standards-Version: 3.7.2
+
+Package: scripts-tokensys
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user, openafs-krb5
+Pre-Depends: cron, adduser
+Description: scripts.mit.edu Tokensys package
+ Tokensys.
Index: server/common/oursrc/tokensys/debian/control.in
===================================================================
--- server/common/oursrc/tokensys/debian/control.in	(revision 108)
+++ server/common/oursrc/tokensys/debian/control.in	(revision 108)
@@ -0,0 +1,13 @@
+Source: scripts-tokensys
+Section: admin
+Priority: optional
+Maintainer: Tim Abbott <tabbott@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: scripts-tokensys
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, krb5-user, openafs-krb5
+Pre-Depends: cron, adduser
+Description: scripts.mit.edu Tokensys package
+ Tokensys.
Index: server/common/oursrc/tokensys/debian/copyright
===================================================================
--- server/common/oursrc/tokensys/debian/copyright	(revision 108)
+++ server/common/oursrc/tokensys/debian/copyright	(revision 108)
@@ -0,0 +1,25 @@
+This is part of the Debian packaged version of the scripts.mit.edu
+distribution.
+
+This package is maintained by Tim Abbott <tabbott@mit.edu> and
+built from sources obtained from:
+  https://scripts.mit.edu:1111/
+
+Copyright (C) 2003-2006 Jeff Arnold and Joe Presbrey
+
+  This package is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This package is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License
+  along with this package; if not, write to the Free Software
+  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
Index: server/common/oursrc/tokensys/debian/rules
===================================================================
--- server/common/oursrc/tokensys/debian/rules	(revision 108)
+++ server/common/oursrc/tokensys/debian/rules	(revision 108)
@@ -0,0 +1,9 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --with-kinit=/usr/bin/kinit --with-aklog=/usr/bin/aklog
+DEB_MAKE_INVOKE += prefix=/usr/local
Index: server/common/oursrc/tokensys/debian/scripts-tokensys.postinst
===================================================================
--- server/common/oursrc/tokensys/debian/scripts-tokensys.postinst	(revision 108)
+++ server/common/oursrc/tokensys/debian/scripts-tokensys.postinst	(revision 108)
@@ -0,0 +1,13 @@
+#!/bin/sh 
+
+set -e
+
+installinit_error() {
+	exit $?
+}
+
+chown -R afsagent:afsagent /var/lib/afsagent
+chown afsagent:root /var/spool/cron/crontabs/afsagent
+
+#DEBHELPER#
+
Index: server/common/oursrc/tokensys/debian/scripts-tokensys.postrm
===================================================================
--- server/common/oursrc/tokensys/debian/scripts-tokensys.postrm	(revision 108)
+++ server/common/oursrc/tokensys/debian/scripts-tokensys.postrm	(revision 108)
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+installinit_error() {
+	exit $?
+}
+
+#DEBHELPER#
+
+if [ "$1" = "purge" ]; then
+	deluser --system --quiet afsagent || true
+fi
Index: server/common/oursrc/tokensys/debian/scripts-tokensys.preinst
===================================================================
--- server/common/oursrc/tokensys/debian/scripts-tokensys.preinst	(revision 108)
+++ server/common/oursrc/tokensys/debian/scripts-tokensys.preinst	(revision 108)
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = "install" ]; then
+	adduser --system --quiet --group afsagent
+fi
+
+#DEBHELPER#
Index: server/common/oursrc/tokensys/debian/scripts-tokensys.prerm
===================================================================
--- server/common/oursrc/tokensys/debian/scripts-tokensys.prerm	(revision 108)
+++ server/common/oursrc/tokensys/debian/scripts-tokensys.prerm	(revision 108)
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+installinit_error() {
+	exit $?
+}
+
+#DEBHELPER#
